﻿@model IEnumerable<Contabilidad.Site.Models.Brand.BrandListViewModel>
@{
    ViewData["Title"] = "Index";
}

<div class="row clearfix">
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2>@Contabilidad.Resources.Models.Accounting.Brand.Brand.TitlePage</h2>
                <div class="clearfix"></div>
            </div>

            <div class="x_content">
                @if (ViewData.ModelState[string.Empty]?.Errors?.Any() == true)
                {
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                        <div class="card">
                            <div class="body bg-red">
                                <div asp-validation-summary="ModelOnly"></div>
                            </div>
                        </div>
                    </div>
                }
                <div class="row">
                    <div class="col-sm-12">
                        <div class="card-box table-responsive">

                            <div class="row clearfix">
                                <div class="col-xs-6 col-sm-3 col-md-2 col-lg-2">
                                    <a asp-action="Create" asp-controller="Brand" data-loader="true" class="btn btn-primary">@Contabilidad.Resources.CommonResources.Create @Contabilidad.Resources.Models.Accounting.Brand.Brand.modelName</a>
                                </div>
                            </div>

                            <div id="datatable_wrapper" class="dataTables_wrapper container-fluid dt-bootstrap no-footer">

                                <div class="row">
                                </div>

                                <div class="row">
                                    <div class="col-sm-12">
                                        <table id="datatable" class="table table-striped table-bordered dataTable no-footer" style="width: 100%;" role="grid" aria-describedby="datatable_info">
                                            <thead>
                                                <tr class="headings">
                                                    <th>@Html.DisplayNameFor(Model => Model.FirstOrDefault().Name)</th>
                                                    <th>@Contabilidad.Resources.CommonResources.Options</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @foreach (var item in Model)
                                                {
                                                    <tr>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.Name)
                                                        </td>
                                                        <td>
                                                            <a asp-action="Edit" asp-route-id="@item.Id" data-loader="true" data-tooltip="tooltip" data-placement="top" title="@Contabilidad.Resources.CommonResources.Edit @Contabilidad.Resources.Models.Accounting.Brand.Brand.modelName" class="btn btn-xs btn-table btn-circle waves-effect waves-light-green waves-circle">
                                                                <i class="fa fa-edit"></i>
                                                            </a>
                                                            <a href="#confirm_@item.Id" data-tooltip="tooltip" data-placement="top" title="@Contabilidad.Resources.CommonResources.Delete @Contabilidad.Resources.Models.Accounting.Brand.Brand.modelName" class="btn btn-xs btn-table btn-circle waves-effect waves-red waves-circle" data-toggle="modal" data-target="#confirm_@item.Id">
                                                                <i class="fa fa-trash"></i>
                                                            </a>
                                                            <a asp-action="Details" asp-route-idBrand="@item.Id" data-loader="true" data-tooltip="tooltip" data-placement="top" title="@Contabilidad.Resources.CommonResources.Details @Contabilidad.Resources.Models.Accounting.Brand.Brand.modelName" class="btn btn-xs btn-table btn-circle waves-effect waves-light-green waves-circle">
                                                                <i class="fa fa-indent"></i>
                                                            </a>
                                                            <form asp-action="Delete" asp-route-id="@item.Id">
                                                                <div class="modal fade" id="confirm_@item.Id" tabindex="-1" role="dialog">
                                                                    <div class="modal-dialog" role="document">
                                                                        <div class="modal-content">
                                                                            <div class="modal-header">
                                                                                <h4 class="modal-title" id="defaultModalLabel">@Contabilidad.Resources.CommonResources.Delete @Contabilidad.Resources.Models.Accounting.Brand.Brand.modelName</h4>
                                                                            </div>
                                                                            <div class="modal-body">
                                                                                @Contabilidad.Resources.Models.Accounting.Brand.Brand.MessageDelete
                                                                            </div>
                                                                            <div class="modal-footer">
                                                                                <input type="submit" value="@Contabilidad.Resources.CommonResources.Delete" data-loader="true" class="btn btn-danger waves-effect" />
                                                                                <button type="button" class="btn btn-default waves-effect" data-dismiss="modal">@Contabilidad.Resources.CommonResources.Cancel</button>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </form>
                                                        </td>
                                                    </tr>
                                                }
                                            </tbody>
                                        </table>
                                    </div>
                                </div>

                                <div class="row">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
